Bug 487696 - php-ZendFramework: local file inclusion / directory traversal
php-ZendFramework: local file inclusion / directory traversal
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=gentoo,reported=20090225,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 09:52 EST by Tomas Hoger
Modified: 2009-07-17 07:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-17 07:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-02-27 09:52:04 EST
Upstream Zend Framework 1.7.5 contains a security fix for a potential Local File Inclusion (LFI) vulnerability in the Zend_View::render() method.  This fixed is tagged upstream as "controversial", as it breaks backwards compatibility and existing uses of method.  See references for further details.

References:
http://devzone.zend.com/article/4266-Zend-Framework-1.7.5-Released
http://weierophinney.net/matthew/archives/206-Zend-Framework-1.7.5-Released-Important-Note-Regarding-Zend_View.html
http://framework.zend.com/manual/en/zend.view.migration.html
http://bugs.gentoo.org/show_bug.cgi?id=259512
Comment 1 Fedora Update System 2009-03-17 11:36:27 EDT
php-ZendFramework-1.7.7-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ZendFramework-1.7.7-2.fc10
Comment 2 Fedora Update System 2009-03-17 13:05:27 EDT
php-ZendFramework-1.7.7-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ZendFramework-1.7.7-1.fc9
Comment 3 Fedora Update System 2009-06-15 22:34:55 EDT
php-ZendFramework-1.7.7-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.